Issue1656

classification
Title: jna issue when invoking waffle
Type: Severity: normal
Components: Core Versions: 2.5.2b1
process
Status: closed Resolution: invalid
Dependencies: Superseder:
Assigned To: Nosy List: crankycoder, zyasoft
Priority: Keywords:

Created on 2010-09-23.16:29:48 by crankycoder, last changed 2010-10-17.17:06:32 by zyasoft.

Files
File name Uploaded Description Edit Remove
Demo.java crankycoder, 2010-09-23.16:29:45 Java code that is uninvocable from Jython
Messages
msg6093 (view) Author: Victor Ng (crankycoder) Date: 2010-09-23.16:29:41
jna invocations seem to sometimes break.  I'm not exactly sure what's going on, but the following Java code uses Waffle 1.3 and JNA 3.2.7.  It works fine from Java, but trying to invoke the static function from Jython throws an exception:

>>> import Demo
>>> Demo.main([])
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
        at com.sun.jna.platform.win32.WinNT$PSID.<init>(WinNT.java:281)
        at com.sun.jna.platform.win32.Advapi32Util.getAccountByName(Advapi32Util.java:129)
        at waffle.windows.auth.impl.WindowsAccountImpl.<init>(Unknown Source)
        at waffle.windows.auth.impl.WindowsAccountImpl.<init>(Unknown Source)
        at waffle.windows.auth.impl.WindowsAuthProviderImpl.lookupAccount(Unknown Source)
        at Demo.admin_demo(Demo.java:9)
        at Demo.main(Demo.java:16)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)

java.lang.NoSuchMethodError: java.lang.NoSuchMethodError: com.sun.jna.Structure.<init>(Lcom/sun/jna/Pointer;)V

You can grab the Waffle JARs here: http://waffle.codeplex.com/releases/view/43113
msg6096 (view) Author: Victor Ng (crankycoder) Date: 2010-09-24.20:20:51
this looks like a bug in jna and waffle, unrelated to jython.  please close this while i follow up.
msg6185 (view) Author: Jim Baker (zyasoft) Date: 2010-10-17.17:06:32
Closed per Vic's request.
History
Date User Action Args
2010-10-17 17:06:32zyasoftsetstatus: open -> closed
resolution: invalid
messages: + msg6185
nosy: + zyasoft
2010-09-24 20:20:52crankycodersetmessages: + msg6096
2010-09-23 16:29:49crankycodercreate